<template>
    <table class="table table-sm table-hover">
        <thead class="thead-light">
            <tr>
                <th scope="col" style="width: 10%">№ <small class="font-weight-bold">п/п</small></th>
                <th style="width: 30%">Тип</th>
                <th style="width: 30%">Название</th>
                <th style="width: 15%">Дата</th>
                <th style="width: 15%"></th>
            </tr>
        </thead>
        <tbody>
            <BudgetDetailsRow
                v-for="(details, index) in detailsList"
                :key="details.id"
                :index="index"
                :details="details"/>
        </tbody>
    </table>
</template>

<script>
    import BudgetDetailsRow from './BudgetDetailsRow'

    export default {
        name: 'budgetDetailsTable',
        components: {
            BudgetDetailsRow
        },
        props: {
            detailsList: Array
        }
    }
</script>